Package org.silverpeas.components.infoletter.model

## Class InfoLetterPublication

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.infoletter.model.InfoLetterPublication

- All Implemented Interfaces:
    `Serializable`, `Comparable<InfoLetter>`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`
  Direct Known Subclasses:
    `InfoLetterPublicationPdC`

      public class InfoLetterPublication
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
      implements org.silverpeas.core.contribution.model.WithPermanentLink, Comparable<InfoLetter>

  Author:
    frageade
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PUBLICATION_EN_REDACTION` |
    `static int` | `PUBLICATION_VALIDEE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoLetterPublication()` | Default constructor
    `InfoLetterPublication​(org.silverpeas.core.ResourceReference pk, String title, String description, String parutionDate, int publicationState, int letterId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(InfoLetter obj)` |
    `void` | `deleteContent()` | Deletes contents linked to the publication (WYSIWYG and DDWE ones).
    `boolean` | `equals​(Object o)` |
    `String` | `getDescription()` |
    `org.silverpeas.core.contribution.model.ContributionIdentifier` | `getIdentifier()` |
    `String` | `getInstanceId()` |
    `int` | `getLetterId()` |
    `String` | `getParutionDate()` |
    `String` | `getPermalink()` |
    `int` | `getPublicationState()` |
    `protected String` | `getTableName()` |
    `String` | `getTitle()` |
    `Optional<org.silverpeas.core.contribution.model.WysiwygContent>` | `getWysiwygContent()` |
    `int` | `hashCode()` |
    `void` | `initFrom​(InfoLetter infoLetter)` | Initializing the content from the given template.
    `boolean` | `isValid()` |
    `void` | `saveContent​(String manualContent)` | Saves given content.
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLetterId​(int letterId)` |
    `void` | `setLetterId​(String letterId)` |
    `void` | `setParutionDate​(String parutionDate)` |
    `void` | `setPublicationState​(int publicationState)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `getNonNullString, getPK, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLICATION_EN_REDACTION

          public static final int PUBLICATION_EN_REDACTION

      See Also:
        Constant Field Values

    - #### PUBLICATION_VALIDEE

          public static final int PUBLICATION_VALIDEE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoLetterPublication

          public InfoLetterPublication()

      Default constructor

    - #### InfoLetterPublication

          public InfoLetterPublication​(org.silverpeas.core.ResourceReference pk,
                                       String title,
                                       String description,
                                       String parutionDate,
                                       int publicationState,
                                       int letterId)

  - ### Method Detail

    - #### getIdentifier

          public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getParutionDate

          public String getParutionDate()

    - #### setParutionDate

          public void setParutionDate​(String parutionDate)

    - #### getPublicationState

          public int getPublicationState()

    - #### setPublicationState

          public void setPublicationState​(int publicationState)

    - #### getLetterId

          public int getLetterId()

    - #### setLetterId

          public void setLetterId​(int letterId)

    - #### setLetterId

          public void setLetterId​(String letterId)

    - #### getPermalink

          public String getPermalink()

      Specified by:
        `getPermalink` in interface `org.silverpeas.core.contribution.model.WithPermanentLink`

    - #### compareTo

          public int compareTo​(@NonNull
                               InfoLetter obj)

      Specified by:
        `compareTo` in interface `Comparable<InfoLetter>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getTableName

          @NonNull
          protected String getTableName()

      Specified by:
        `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### isValid

          public boolean isValid()

    - #### initFrom

          public void initFrom​(InfoLetter infoLetter)

      Initializing the content from the given template.

      The initialization is using WYSIWYG services and `InfoLetterPublication` storing in order to handle properly document copying.

      Parameters:
        `infoLetter` - the template.

    - #### getWysiwygContent

          public Optional<org.silverpeas.core.contribution.model.WysiwygContent> getWysiwygContent()

    - #### saveContent

          public void saveContent​(String manualContent)

      Saves given content.

      The given content MAY be directly a WYSIWYG content, in a such case the content has been edited by a WYSIWYG editor.

      The given content is not defined, in a such case the content has been MAYBE edited by a Drag And Drop Web Editor. Then the temporary content is saved into final one and the Inlined HTML is saved into WYSIWYG repository.

      Parameters:
        `manualContent` - a manual content. The content is specified when it comes directly from a WYSIWYG editing.

    - #### deleteContent

          public void deleteContent()

      Deletes contents linked to the publication (WYSIWYG and DDWE ones).